worker.h(3)

NAME
worker.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Typedefs
typedef void cc_worker_f(void *)
typedef void cc_worker_idle_f(cc_worker *, void *)

  Functions
cc_worker * cc_worker_construct (void)
void cc_worker_destruct (cc_worker *worker)
SbBool cc_worker_start (cc_worker *worker, cc_worker_f *workfunc, void *closure)
SbBool cc_worker_is_busy (cc_worker *worker)
void cc_worker_wait (cc_worker *worker)
void cc_worker_set_idle_callback (cc_worker *worker, cc_worker_idle_f *idlefunc, void *closure)

Function Documentation

  void cc_worker_destruct (cc_worker * worker)
Will wait for the current task to be finished before destructing the worker.

  SbBool cc_worker_start (cc_worker * worker, cc_worker_f * workfunc, void * closure)
Start the worker by either waking is from a condvar_wait() or creating a new thread if the thread is not running.

Author

Generated automatically by Doxygen for Coin from the source code.